//
//  PrefsWindowController.m
//  SMB MenuExtra
//
//  Created by John Slaughter on 3/1/13.
//  Copyright (c) 2013 Engineering & Science Computing - University of Notre Dame.
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.
//

#import "PrefsWindowController.h"
#import "AppDelegate.h"
#import "SharedFunctions.h"

@implementation PrefsWindowController

@synthesize defaults = _defaults;
@synthesize cancelButton = _cancelButton;


#pragma mark - Standard Methods

- (id) init
{
	self = [super init];
    if (self) {
        _defaults = [NSUserDefaults standardUserDefaults];
        
        if ( ! (self = [super initWithWindowNibName: @"PrefsWindow"]) ) {
            return nil;
        }
    }
	return self;
}


- (void) awakeFromNib
{	

}


- (IBAction)closeWindow:(id)sender
{
	[self close];
}




@end